'use client'

import { useState, useEffect } from 'react'
import { motion } from 'framer-motion'
import Header from '@/components/ui/header';
import Footer from '@/components/ui/footer';
import AnimateGradSection from '@/components/ui/animation-grade';
import ContactFormSection from '@/components/ui/contact-form';
import HeroBanner from '@/components/ui/hero-banner';
import ExploreNewFeatures from '@/components/ui/explore-new-feature';
import BannerWithCounterSection from '@/components/ui/banner-with-counter';
import CustomTextSection from '@/components/ui/custom-text-section';
import UniqueProductSection from '@/components/ui/unique-product-section';
import MissionVisionSection from '@/components/ui/mission-vission-section';
import TestimonialSection from '@/components/ui/testimonial';
import TestimonialSection2 from '@/components/ui/testimonial2';
import AboutSection from '@/components/ui/about-section';
import InfoBoxSection from '@/components/ui/info-box-section';
import Testimonial3Section from '@/components/ui/testimonial3';
import OurAchievementsSection from '@/components/ui/our-achievements';
import OurProcessSection from '@/components/ui/our-process';
import OurProductSection from '@/components/ui/our-product';
import FAQSection from '@/components/ui/faq';
import SubscribeSection from '@/components/ui/subscribe';
import CallToActionSection from '@/components/ui/call-to-action';

export default function Home() {

  // call to action data
  const ctaData = {
    title: "Explore New Possibilities",
    subtitle: "You'll be able to create anything you can imagine, not just amazing, responsive designs.",
    highlightWord: "anything",
    buttonOneText: "Call Us",
    buttonOneLink: "#call-us",
    buttonTwoText: "WhatsApp",
    buttonTwoLink: "#whatsapp"
  }

  
  return (
    <div className="min-h-screen bg-gradient-to-b from-gray-50 to-gray-100 text-gray-900">
      {/* Header */}
      <Header/>

      {/* Hero Section */}
      <HeroBanner />

      {/*animate grade section*/}
      <AnimateGradSection/>

      {/*Explore New Feature*/}
      <ExploreNewFeatures/>

      <BannerWithCounterSection/>

      <CustomTextSection/>

      <UniqueProductSection/>

      <MissionVisionSection/>

      <TestimonialSection/>

      <TestimonialSection2/>

      <AboutSection/>

      <InfoBoxSection/>

      <Testimonial3Section/>

      <OurAchievementsSection/>

      <OurProcessSection/>

      <OurProductSection/>

      <FAQSection/>

      <SubscribeSection/>

      <CallToActionSection 
        title={ctaData.title}
        subtitle={ctaData.subtitle}
        highlightWord={ctaData.highlightWord}
        buttonOneText={ctaData.buttonOneText}
        buttonOneLink={ctaData.buttonOneLink}
        buttonTwoText={ctaData.buttonTwoText}
        buttonTwoLink={ctaData.buttonTwoLink}
      />  

      {/* Features Section */}
      <section id="features" className="lp-features py-20">
        <div className="container mx-auto px-4">
          <h2 className="lp-section-title text-3xl md:text-4xl font-bold mb-12 text-center">Our Features</h2>
          <div className="lp-feature-grid grid grid-cols-1 md:grid-cols-3 gap-8">
            {[1, 2, 3].map((i) => (
              <motion.div 
                key={i}
                className="lp-feature-card bg-white p-6 rounded-lg shadow-md"
                initial={{ opacity: 0, y: 20 }}
                animate={{ opacity: 1, y: 0 }}
                transition={{ duration: 0.5, delay: i * 0.1 }}
              >
                <div className="lp-feature-icon mb-4 text-4xl text-blue-600">🚀</div>
                <h3 className="lp-feature-title text-xl font-semibold mb-2">Feature {i}</h3>
                <p className="lp-feature-description text-gray-600">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
              </motion.div>
            ))}
          </div>
        </div>
      </section>


      {/* Contact Section */}
      <ContactFormSection/>

      {/* Footer */}
      <Footer/>


    </div>
  )
}